﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Vegetables/Spinach/Garlic Spinach";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <script src="../../Common/Foods.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <link href="./Colorize.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('webObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div><?php echo $webObjectTree1->renderControl() ?></div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Multiple Colors:</div>
                    <div class="csContent">
                        This sample demonstrates how you can apply custom colors to the WebObjectTree elements.
                        This can be accomplished by making some changes to the core Cascading Style Sheets (CSS) file.<br />
                        <br />
                        A custom color palette is applied to the root items using the following CSS selector definitions.
                        This causes these five colors to be rotated through all the root items and their children.<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#a00000">.cwotControl > .cwotChildren > .cwotItem:nth-child(5n+1)</span><br />
                            {<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">background-color</span>: <span style="color:#0000ff">#d8ceaf</span>;&nbsp;<span style="background-color:#d8ceaf;border: 1px solid gray;">&nbsp;&nbsp;</span><br />
                            }<br />
                            <br />
                            <span style="color:#a00000">.cwotControl > .cwotChildren > .cwotItem:nth-child(5n+2)</span><br />
                            {<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">background-color</span>: <span style="color:#0000ff">#c6d5a0</span>;&nbsp;<span style="background-color:#c6d5a0;border: 1px solid gray;">&nbsp;&nbsp;</span><br />
                            }<br />
                            <br />
                            <span style="color:#a00000">.cwotControl > .cwotChildren > .cwotItem:nth-child(5n+3)</span><br />
                            {<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">background-color</span>: <span style="color:#0000ff">#89bc9d</span>;&nbsp;<span style="background-color:#89bc9d;border: 1px solid gray;">&nbsp;&nbsp;</span><br />
                            }<br />
                            <br />
                            <span style="color:#a00000">.cwotControl > .cwotChildren > .cwotItem:nth-child(5n+4)</span><br />
                            {<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">background-color</span>: <span style="color:#0000ff">#89adbc</span>;&nbsp;<span style="background-color:#89adbc;border: 1px solid gray;">&nbsp;&nbsp;</span><br />
                            }<br />
                            <br />
                            <span style="color:#a00000">.cwotControl > .cwotChildren > .cwotItem:nth-child(5n+5)</span><br />
                            {<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">background-color</span>: <span style="color:#0000ff">#d39d97</span>;&nbsp;<span style="background-color:#d39d97;border: 1px solid gray;">&nbsp;&nbsp;</span><br />
                            }<br />
                            <br />
                        </div>
                        A bottom border and some padding are also added to all the root items using the following definition:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#a00000">.cwotControl > .cwotChildren > .cwotItem</span><br />
                            {<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">border-bottom-color</span>: <span style="color:#0000ff">#606060</span>;&nbsp;<span style="background-color:#606060;border: 1px solid gray;">&nbsp;&nbsp;</span><br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">border-bottom-style</span>: <span style="color:#0000ff">solid</span>;<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">border-bottom-width</span>: <span style="color:#0000ff">1px</span>;<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">padding-right</span>: <span style="color:#0000ff">0.2em</span>;<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;<span style="color:#ff0000">padding-left</span>: <span style="color:#0000ff">0.2em</span>;<br />
                            }<br />
                            <br />
                        </div>
                        All other changes to the CSS properties are for cosmetic purposes only.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select some food, organized by food group and item.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Appearance<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/MultipleColors
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
