﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Vegetables/Spinach/Garlic Spinach";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <script src="../../Common/Foods.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <link href="./Replacement.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('webObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div><?php echo $webObjectTree1->renderControl() ?></div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Style Sheet Replacement:</div>
                    <div class="csContent">
                        This sample replaces the default WebObjectTree style sheet with a version that contains custom definitions.
                        This allows further customization of the appearance of WebObjectTree beyond what can be accomplished using the control properties alone.<br />
                        <br />
                        To replace the style sheet, replace the default style sheet included on your page with a file that contains a custom set of definitions:<br />
                        <br />
                        <div class="csCode">&lt;link href=&quot;./replacement.css&quot; rel=&quot;stylesheet&quot; type=&quot;text/css&quot; /&gt;</div>
                        <br />
                        See &quot;replacement.css&quot; for an example, which participates in producing these results.<br />
                        <br />
                        In this sample, the default CSS class name prefix is replaced with a custom value.
                        The following property informs the control about this application defined value:<br />
                        <br />
                        <div class="csCode">$WebObjectTree-&gt;setCustomClassPrefix(<span style="color:#a00000">&quot;mywot&quot;</span>);</div>
                        <br />
                        This is especially useful for web applications that have multiple instances of the WebObjectTree control where each instance can be bound to a different set of style sheet definitions.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select some food, organized by food group and item.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Appearance<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/StyleSheetReplacement
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
