﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Dogs/Sporting Group";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="../../Common/Breeds.js" type="text/javascript"></script>
    <script src="./Script.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select dog breed:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Keyboard Interface:</div>
                    <div class="csContent">
                        WebObjectTree supports the following keyboard interface for navigating its contents:<br />
                        <br />
                        <div style="display:inline-block;border:1px solid #808080;">
                            <table cellpadding="1" cellspacing="1" style="font-family:monospace;font-size:13px;">
                                <tr style="background-color:#a0a0a0;color:white;">
                                    <td colspan="2">Tree Control</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td>&nbsp;Left Arrow</td>
                                    <td>Collapses the parent item</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td>&nbsp;Right Arrow</td>
                                    <td>Expands the parent item</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td>&nbsp;Up Arrow</td>
                                    <td>Selects the previous item</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td>&nbsp;Down Arrow</td>
                                    <td>Selects the next item</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td>&nbsp;Page Up</td>
                                    <td>Selects an item on the previous page</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td>&nbsp;Page Down</td>
                                    <td>Selects an item on the next page</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td>&nbsp;Home</td>
                                    <td>Selects the first item</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td>&nbsp;End</td>
                                    <td>Selects the last item</td>
                                </tr>
                                <tr style="background-color:#a0a0a0;color:white;">
                                    <td colspan="2">Item Editing (when enabled)</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td>&nbsp;F2</td>
                                    <td>Begins an edit operation</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td>&nbsp;Enter</td>
                                    <td>Ends an edit operation</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td>&nbsp;Esc</td>
                                    <td>Cancels an edit operation</td>
                                </tr>
                                <tr style="background-color:#a0a0a0;color:white;">
                                    <td colspan="2">Others</td>
                                </tr>
                                <tr style="background-color:#d8d8d8;">
                                    <td>&nbsp;Shift + Tab</td>
                                    <td>Moves keyboard focus to the previous control</td>
                                </tr>
                                <tr style="background-color:#f0f0f0;">
                                    <td>&nbsp;Tab</td>
                                    <td>Moves keyboard focus to the next control</td>
                                </tr>
                            </table>
                        </div><br />
                        <br />
                        This sample demonstrates three additional WebObjectTree accessibility features:<br />
                        <br />
                        1. The &quot;AccessKey&quot; property is set to &quot;w&quot; allowing a shortcut key to activate the control.
                        Note, not all web browsers support or handle this property in the same way.<br />
                        <br />
                        <div class="csCode">
                            $WebObjectTree-&gt;setAccessKey(<span style="color:#a00000">&quot;w&quot;</span>);
                        </div>
                        <br />
                        2. The &quot;EnableOutline&quot; property is set to &quot;true&quot; enabling an outline box to appear around the control when it has keyboard focus.
                        The default value for this property is &quot;false&quot;.<br />
                        <br />
                        <div class="csCode">
                            $WebObjectTree-&gt;setEnableOutline(<span style="color:#0000ff">true</span>);
                        </div>
                        <br />
                        3. The &quot;TabIndex&quot; property is set to &quot;1&quot; specifying the tab order to receive keyboard focus for the control.<br />
                        <br />
                        <div class="csCode">
                            $WebObjectTree-&gt;setTabIndex(1);
                        </div>
                        <br />
                        The current control with keyboard focus is: <span id="Span1" style="color:blue;">(Not supported)</span><br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select a breed of dog, organized by common categories.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /BasicFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/KeyboardInterface
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
