﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Project X";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="../../Common/Employees.js" type="text/javascript"></script>
    <script src="./Script.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <style type="text/css">
        .csLabel {margin-top:20px;}
    </style>
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select employee:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csLabel">
                        Current selection:<br />
                        <div id="Div1" style="background-color:ivory;border:1px solid gray;color:#333333;font-family:Arial,helvetica,sans-serif;font-size:12px;font-weight:bold;padding:0.5em;">&nbsp;</div>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Selection Change:</div>
                    <div class="csContent">
                        This sample demonstrates how you can handle selection changes in WebObjectTree.
                        You can create custom JavaScript to perform some action in your web page.<br />
                        <br />
                        To support this feature, WebObjectTree uses the following client-side method for selected item changes:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotOnSelectionChange(controlId, selectedValue)
                        </div>
                        <br />
                        The parameters are:<br />
                        <ul>
                            <li><i>controlId</i> - the control identifier of the WebObjectTree instance.</li>
                            <li><i>selectedValue</i> - the current value for the item being selected.</li>
                        </ul>
                        This is a callback method that needs to be implemented by you if you are interested in these events.
                        WebObjectTree will automatically detect the presence of the method, and call it whenever a selection change occurs.
                        This method does not expect a return value.<br />
                        <br />
                        This sample implements the callback method and responds to the change by displaying the text value of the currently selected item.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select an employee, organized by project and group membership.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /ClientSideFeatures<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/SelectionChange
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
