﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Americas";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="./Events.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading" style="background-color:#6d459b;">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select Server:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                        <span id="Span1" style="padding-left:75px;color:darkviolet;">Ready</span>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Built-in Ajax:</div>
                    <div class="csContent">
                        This sample demonstrates how you can use the built-in Ajax ability of WebObjectTree to populate the children items.<br />
                        <br />
                        To use this feature, you can set the following WebObjectTree server-side property to the URL of a web service that can supply the necessary information:<br />
                        <br />
                        <div class="csCode">
                            $webObjectTree1-&gt;setDataRetrievalUrl(<span style="color:#a00000">&quot;../../Services/datasource.php&quot;</span>);
                        </div>
                        <br />
                        This sample uses a simple PHP web service that reads the requested path and returns the children item information in JSON format.<br />
                        <br />
                        If the built-in Ajax encounters an error during the retrieval of information from the web service, it uses the following client-side method:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotOnDataRetrievalError(controlId, statusCode, statusText)
                        </div>
                        <br />
                        This callback method can be implemented by you to allow reporting of the error to your users.
                        WebObjectTree will automatically detect the presence of this method, and call it whenever it has trouble fetching data from the web service.
                        The parameters are:<br />
                        <ul>
                            <li><i>controlId</i> - the control identifier of the WebObjectTree instance.</li>
                            <li><i>statusCode</i> - the status code returned when retrieving children item information.</li>
                            <li><i>statusText</i> - the status description returned when retrieving children item information.</li>
                        </ul>
                        Additionally, whenever WebObjectTree starts/stops retrieving data for any of the possible data retrieval modes it calls the following client-side callback methods:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotOnDataRetrievalBegin(controlId)<br />
                            <span style="color:#1844d3">function</span> cwotOnDataRetrievalEnd(controlId)
                        </div>
                        <br />
                        These callback methods are demonstrated here by displaying the &quot;Loading...&quot; or &quot;Ready&quot; message.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select a datacenter server, organized by region, location and role.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /DataRetrieval<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/BuiltinAjax
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
