// Stores the tree structure
var treeData =
{
    rootNode: null,
    nodeCounter: 0
};

// Creates a new node object
function CreateNode(text)
{
    var key = "ID" + treeData.nodeCounter;
    if (text == null)
    {
        text = "New Item " + treeData.nodeCounter;
    }
    treeData.nodeCounter++;

    var node =
    {
        innerKey: key,
        innerText: text
        // firstChild: null
        // nextSibling: null
    };

    return node;
}

// Finds the target node and its elder relatives
function FindNode(keyPath)
{
    var parent = null;
    var sibling = null;
    var node = treeData.rootNode;
    if (keyPath != "/")
    {
        var keys = keyPath.split("/");
        var length = keys.length;
        for (var index = 1; index < length; index++)
        {
            var key = keys[index];
            parent = node;
            node = node.firstChild;
            while (node != null)
            {
                if (node.innerKey == key)
                {
                    break;
                }
                sibling = node;
                node = node.nextSibling;
            }
        }
    }

    var nodeInfo =
    {
        parentNode: parent,
        previousSibling: sibling,
        targetNode: node
    };

    return nodeInfo;
}

// Gets the last child node
function GetLastChild(parent)
{
    var last = null;
    var node = parent.firstChild;
    while (node != null)
    {
        last = node;
        node = node.nextSibling;
    }

    return last;
}

// Check to see if tree is empty
function IsTreeEmpty()
{
    return (treeData.rootNode == null || treeData.rootNode.firstChild == null);
}

// Clears all custom nodes
function ClearTree()
{
    treeData.rootNode.firstChild = null;
    treeData.nodeCounter = 1;
}

// Serializes the current tree
function SerializeTree()
{
    return JSON.stringify(treeData);
}

// Deserializes the tree from previous state
function DeserializeTree(previousData)
{
    treeData = JSON.parse(previousData);
}
