<?php

$treeData =
"{" .
    "\"rootNode\":" .
    "{" .
        "\"innerKey\": \"ID0\"," .
        "\"innerText\": \"Root\"," .
        "\"firstChild\":" .
        "{" .
            "\"innerKey\": \"ID1\"," .
            "\"innerText\": \"New Item 1\"," .
            "\"firstChild\":" .
            "{" .
                "\"innerKey\": \"ID2\"," .
                "\"innerText\": \"New Item 2\"," .
                "\"nextSibling\":" .
                "{" .
                "\"innerKey\": \"ID3\"," .
                "\"innerText\": \"New Item 3\"," .
                "\"nextSibling\":" .
                "{" .
                "\"innerKey\": \"ID4\"," .
                "\"innerText\": \"New Item 4\"" .
                "}" .
                "}" .
            "}" .
        "}" .
    "}," .
    "\"nodeCounter\": 5" .
"}";

// Creates and configures a new webobjecttree control
function CreateWebObjectTree($id)
{
    $webObjectTree = new Coalesys\WebObjectTree\WebObjectTree($id, $_REQUEST);
    $webObjectTree->setBackColor("Ivory");
    $webObjectTree->setBorderColor("Gray");
    $webObjectTree->setBorderStyle(Coalesys\WebObjectTree\BorderStyle::Solid);
    $webObjectTree->setBorderWidth("1px");
    $font = $webObjectTree->getFont();
    $font->setNames("Arial,helvetica,sans-serif");
    $font->setSize("13px");
    $webObjectTree->setForeColor("#303030");
    $webObjectTree->setHeight("250px");
    $webObjectTree->setSelectedForeColor("White");
    $webObjectTree->setWidth("300px");

    return $webObjectTree;
}

// Initializes the specified webobjecttree control
function InitializeWebObjectTree($webObjectTree)
{
    global $treeData;
    $customData = $webObjectTree->getCustomData();
    if ($customData == null || $customData == "")
    {
        $customData = $treeData;
        $webObjectTree->setCustomData($customData);
    }

    $fullPath = $webObjectTree->getFullPath();
    if ($fullPath == null || $fullPath == "")
    {
        $fullPath = Coalesys\WebObjectTree\WebObjectTree::appendKeyValue($fullPath, "ID1", "New Item 1");
        $fullPath = Coalesys\WebObjectTree\WebObjectTree::appendKeyValue($fullPath, "ID2", "New Item 2");
        $webObjectTree->setFullPath($fullPath);
    }

    $innerKey = "\"innerKey\"";
    $originalLength = strlen($customData);
    $replacedLength = strlen(str_replace($innerKey, "", $customData));
    $nodeCount = ($originalLength - $replacedLength) / strlen($innerKey) - 1;

    $valuePath = Coalesys\WebObjectTree\WebObjectTree::extractValues($fullPath);
    $valuePath = htmlentities($valuePath);
    $selectedPath = "Selected path = \"" . $valuePath . "\",<br />Node count = " . strval($nodeCount) . ".";

    return $selectedPath;
}

?>
