﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");
    $selectedPath = InitializeWebObjectTree($webObjectTree1);
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <script src="./Storage.js" type="text/javascript"></script>
    <script src="./Script.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <link href="./Custom.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <table cellpadding="3" cellspacing="3">
                            <tr>
                                <td><input id="Button1" onclick="OnAddChild();" style="width:140px;" type="button" value="Add Child" /></td>
                                <td><input id="Button2" onclick="OnAddSibling();" style="width:140px;" type="button" value="Add Sibling" /></td>
                            </tr>
                            <tr>
                                <td><input id="TextBox1" style="width:136px;" type="text" /></td>
                                <td><input id="Button3" onclick="OnModifyNode();" style="width:140px;" type="button" value="Modify Node" /></td>
                            </tr>
                            <tr>
                                <td><input id="Button4" onclick="OnDeleteNode();" style="width:140px;" type="button" value="Delete Node" /></td>
                                <td><input id="Button5" onclick="OnDeleteAll();" style="width:140px;" type="button" value="Delete All" /></td>
                            </tr>
                        </table>
                    </div>
                    <div class="csDivider" style="margin-top:2px;"></div>
                    <div class="csCommands">
                        <table cellpadding="3" cellspacing="3">
                            <tr>
                                <td><input id="Button6" onclick="OnStoreTree();return true;" style="width:140px;" type="submit" value="Submit" /></td>
                                <td style="padding-left:50px;"><a href="index.php">Reset</a></td>
                            </tr>
                        </table>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Add, Modify and Delete:</div>
                    <div class="csContent">
                        This sample demonstrates how you can dynamically add, modify and delete the WebObjectTree children items using client-side JavaScript.<br />
                        <br />
                        The tree structure for this sample is sent to the client using the following WebObjectTree property:<br />
                        <br />
                        <div class="csCode">
                            $WebObjectTree-&gt;setCustomData(<span style="color:#a00000">&quot;{\&quot;rootNode\&quot;:{\&quot;innerKey\&quot;:\&quot;ID0\&quot;,\&quot;innerText\&quot;:\&quot;Root\&quot;,\&quot;firstChild\&quot;:{...}}}&quot;</span>);
                        </div>
                        <br />
                        This property allows custom-defined data to be transmitted to the client along with the WebObjectTree control.
                        This is case, the tree structure is described in JSON format to simplify usage in the web browser, but any string format can be used.<br />
                        <br />
                        This JSON string is returned for the specified WebObjectTree instance using the following client-side method:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotGetCustomData(controlId)
                        </div>
                        <br />
                        This string is deserialized into JavaScript objects, and the WebObjectTree JavaScript callback method is used to populate the visual tree.<br />
                        <br />
                        When an item is selected and the F2 key is pressed or double-clicked, direct editing is enabled by returning <i>true</i> from the following client-side event:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotOnAllowRename(controlId, renamePath)
                        </div>
                        <br />
                        When the user has completed editing the current item, the following client-side event handles the actual renaming:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotOnRenameItem(controlId, renamePath, newValue)
                        </div>
                        <br />
                        Additionally, the &quot;Modify Node&quot; button programmatically renames the current item from the text box field using the following client-side method:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotRenameItem(controlId, renamePath, newValue)
                        </div>
                        <br />
                        All the other modification buttons allow you to make changes to the underlying structure.
                        WebObjectTree is refreshed by removing the modified children by passing in their path to the following client-side method:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotClearChildren(controlId, clearPath)
                        </div>
                        <br />
                        Following this, the <i>cwotSetFullPath</i> client-side method is used to select a new child and re-fetch the affected portion of the tree.<br />
                        <br />
                        To persist the modified tree structure, the JavaScript objects are serialized back into a JSON string.
                        This string is stored and included with any postbacks using the following client-side method:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotSetCustomData(controlId, customData)
                        </div>
                        <br />
                        The server inspects the posted tree structure by reading the <i>WebObjectTree.CustomData</i> property, and computes the number of visible nodes from the data.<br />
                        <br />
                        Clicking the &quot;Submit&quot; button will display the full path for your selection and the number of visible nodes in the tree below:
                        <div class="csIndent">
                            <div class="csData"><?php echo $selectedPath ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection and restore the tree to its default structure.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Presentation<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/AddModifyDelete
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
