﻿<?php
    include '../../../Coalesys.WebObjectTree.php';
    include 'index.cb.php';

    $webObjectTree1 = CreateWebObjectTree("WebObjectTree1");

    $fullPath1 = $webObjectTree1->getFullPath();
    if ($fullPath1 == "")
    {
        $fullPath1 = "/Painter/Cubist/Braque";
        $webObjectTree1->setFullPath($fullPath1);
    }
?>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta http-equiv="Content-Type" content="text/html;charset=utf-8" />
    <title>Coalesys WebObjectTree for PHP Sample</title>
    <script src="../../../WebObjectTree.js" type="text/javascript"></script>
    <link href="../../../WebObjectTree.css" rel="stylesheet" type="text/css" />
    <script src="../../Common/Artists.js" type="text/javascript"></script>
    <script src="./Script.js" type="text/javascript"></script>
    <link href="../../Samples.css" rel="stylesheet" type="text/css" />
    <link href="./Styles.css" rel="stylesheet" type="text/css" />
</head>
<body class="csBody" onload="cwotSetFocus('WebObjectTree1', false);">
    <form action="./index.php" method="post">
    <div>
        <div class="csHeading">
            <div class="csCompany"></div>
            <div class="csProduct">WebObjectTree for PHP</div>
        </div>
        <div class="csVContent">
            <div class="csVControl">
                <div class="csControls">
                    <div>
                        Select artist:<br />
                        <?php echo $webObjectTree1->renderControl() ?>
                    </div>
                    <div class="csDivider"></div>
                    <div class="csCommands">
                        <input type="submit" value="Submit" />
                        &nbsp;&nbsp;<a href="index.php">Reset</a>
                    </div>
                </div>
            </div>
            <div class="csVDocument">
                <div class="csDescription">
                    <div class="csTitle">Custom Styles:</div>
                    <div class="csContent">
                        This sample demonstrates how you can apply your own custom styles to the WebObjectTree children items.<br />
                        <br />
                        To support this feature, WebObjectTree allows you to add a user-defined &quot;hint&quot; to the individual items.
                        For example, the following adds a &quot;MyStyle&quot; hint to the second child:<br />
                        <br />
                        <div class="csCode">
                            { Items: [<span style="color:#a00000">&quot;ItemA&quot;</span>, <span style="background-color:#ffffaa">{ Item: <span style="color:#a00000">&quot;ItemB&quot;</span>, Hint: <span style="color:#a00000">&quot;MyStyle&quot;</span> }</span>, <span style="color:#a00000">&quot;ItemC&quot;</span>] }
                        </div>
                        <br />
                        WebObjectTree calls the following client-side method whenever applying Cascading Style Sheets (CSS) class names to an element:<br />
                        <br />
                        <div class="csCode">
                            <span style="color:#1844d3">function</span> cwotOnApplyStyle(controlId, classNames, itemHint)
                        </div>
                        <br />
                        The parameters are:<br />
                        <ul>
                            <li><i>controlId</i> - the control identifier of the WebObjectTree instance.</li>
                            <li><i>classNames</i> - the current array of CSS class names being applied to the element.</li>
                            <li><i>itemHint</i> - the user-defined style hint for this item, or <i>null</i> if not applicable or available.</li>
                        </ul>
                        This is a callback method that needs to be implemented by you if you want to change the set of CSS class names being applied.
                        The set of class names are supplied in an array and can be altered in place, since arrays are passed by reference.
                        The user-defined &quot;hint&quot; is your key to determine which custom class name(s) you want to choose.<br />
                        <br />
                        It should be noted that this callback method is called whenever applying class names to any element within the control.
                        WebObjectTree will automatically detect the presence of the method, and call it whenever setting class names.
                        This method does not expect a return value.<br />
                        <br />
                        This design keeps the item information compact, at the same time allowing complete access to CSS to customize their appearance.
                        This sample uses this ability to change the icon image and text color of three items to <span class="cwotUnselectedItemTextRed"><b>Red</b></span>, <span class="cwotUnselectedItemTextGreen"><b>Green</b></span> and <span class="cwotUnselectedItemTextBlue"><b>Blue</b></span>, respectively.<br />
                        <br />
                        In this sample the WebObjectTree is allowing you to select an artist, organized by painters and musicians.
                        Clicking the &quot;Submit&quot; button will send the full path for your selection to the server and it will be displayed below:
                        <div class="csIndent">
                            <div class="csData"><?php echo ($fullPath1 == "") ? "No path selected." : htmlentities($fullPath1) ?></div>
                        </div>
                        Click the &quot;Reset&quot; link to clear your selection and restore the properties above to their default values.
                    </div>
                    <div class="csTitle">Control being used:</div>
                    <div class="csContent"><?php echo str_replace("\r\n", "<br />", $webObjectTree1->getAbout()) ?></div>
                    <div class="csTitle">View the code:</div>
                    <div class="csIndent">
                        The code is available in the samples directory under:
                        <div class="csDirectory">
                            /Presentation<br />
                            &nbsp;&nbsp;&nbsp;&nbsp;/CustomStyles
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    </form>
</body>
</html>
